Bug 151323 - Update port: net/xrdp (current cvs version)
Summary: Update port: net/xrdp (current cvs version)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-08 20:20 UTC by Iwao Koichiro
Modified: 2010-11-10 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.69 KB, patch)
2010-10-08 20:20 UTC, Iwao Koichiro
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iwao Koichiro 2010-10-08 20:20:02 UTC
Update for current cvs version of xrdp.
It works fine on my environment but please test it.

I'm not sure if the patch is correct format, thanks in advance.

Fix: diff -ruN xrdp.org/Makefile xrdp/Makefile
--- xrdp.org/Makefile	2010-10-09 04:00:11.000000000 +0900
+++ xrdp/Makefile	2010-10-09 03:46:23.000000000 +0900
@@ -2,14 +2,13 @@
 # Date created:				2007-02-19
 # Whom:					alepulver
 #
-# $FreeBSD: ports/net/xrdp/Makefile,v 1.7 2010/10/05 19:57:47 ade Exp $
 #
 
 PORTNAME=	xrdp
-PORTVERSION=	0.5.0.20090811cvs
+PORTVERSION=	0.6.0.20101009cvs
 PORTREVISION=	1
 CATEGORIES=	net
-MASTER_SITES=	LOCAL/pav
+MASTER_SITES=	http://www.club.kyutech.ac.jp/~meta/distfiles/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	An open source Remote Desktop Protocol (RDP) server
@@ -19,6 +18,11 @@
 USE_RC_SUBR=	xrdp
 
 CONFIGURE_ARGS=	--localstatedir=/var
+CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib"
+
+INSTALL_SHLIB=	yes
+LDCONFIG_DIRS=	%%PREFIX%%/lib/xrdp
 
 .if defined(WITH_DEBUG)
 CFLAGS+=	-DXRDP_DEBUG
diff -ruN xrdp.org/distinfo xrdp/distinfo
--- xrdp.org/distinfo	2010-10-09 04:00:11.000000000 +0900
+++ xrdp/distinfo	2010-10-09 01:57:18.000000000 +0900
@@ -1,3 +1,3 @@
-MD5 (xrdp-0.5.0.20090811cvs.tar.gz) = 541982ebe6acc8f4b0d342d9fd336768
-SHA256 (xrdp-0.5.0.20090811cvs.tar.gz) = 2ee278110676cd8326ac2ea8d02cc1914ecba742194646568c316d1d38b96191
-SIZE (xrdp-0.5.0.20090811cvs.tar.gz) = 305702
+MD5 (xrdp-0.6.0.20101009cvs.tar.gz) = 4694e45fce64e0fea10b1fe2bd22fb74
+SHA256 (xrdp-0.6.0.20101009cvs.tar.gz) = b4379fc04e36b434116669b35ac0662ddc1451363e78b91f67017603913c9946
+SIZE (xrdp-0.6.0.20101009cvs.tar.gz) = 297394
diff -ruN xrdp.org/files/pkg-message.in xrdp/files/pkg-message.in
--- xrdp.org/files/pkg-message.in	2010-10-09 04:00:11.000000000 +0900
+++ xrdp/files/pkg-message.in	2010-10-09 03:30:03.000000000 +0900
@@ -6,6 +6,7 @@
 in /etc/rc.conf:
 
 xrdp_enable="YES"
+xrdpsesman_enable="YES"
 
 Do not forget to edit the configuration files in "%%PREFIX%%/etc/xrdp"
 and the "%%PREFIX%%/lib/startwm.sh" script.
diff -ruN xrdp.org/pkg-plist xrdp/pkg-plist
--- xrdp.org/pkg-plist	2010-10-09 04:00:11.000000000 +0900
+++ xrdp/pkg-plist	2010-10-09 03:23:39.000000000 +0900
@@ -1,21 +1,24 @@
+bin/xrdp-genkeymap
 bin/xrdp-keygen
 bin/xrdp-sesadmin
 bin/xrdp-sesrun
 bin/xrdp-sestest
 etc/pam.d/xrdp-sesman
-etc/xrdp/xrdp.sh
-@unexec if cmp -s %D/etc/xrdp/startwm.sh %D/etc/xrdp/startwm.sh.sample; then rm -f %D/etc/xrdp/startwm.sh; fi
-etc/xrdp/startwm.sh.sample
-@exec [ -f %D/etc/xrdp/startwm.sh ] || cp %D/etc/xrdp/startwm.sh.sample %D/etc/xrdp/startwm.sh
-@unexec if cmp -s %D/etc/xrdp/rsakeys.ini %D/etc/xrdp/rsakeys.ini.sample; then rm -f %D/etc/xrdp/rsakeys.ini; fi
+etc/xrdp/km-0407.ini
+etc/xrdp/km-0409.ini
+etc/xrdp/km-040c.ini
+etc/xrdp/km-0410.ini
+etc/xrdp/km-0419.ini
+etc/xrdp/km-041d.ini
+etc/xrdp/rsakeys.ini
 etc/xrdp/rsakeys.ini.sample
-@exec [ -f %D/etc/xrdp/rsakeys.ini ] || cp %D/etc/xrdp/rsakeys.ini.sample %D/etc/xrdp/rsakeys.ini
-@unexec if cmp -s %D/etc/xrdp/sesman.ini %D/etc/xrdp/sesman.ini.sample; then rm -f %D/etc/xrdp/sesman.ini; fi
+etc/xrdp/sesman.ini
 etc/xrdp/sesman.ini.sample
-@exec [ -f %D/etc/xrdp/sesman.ini ] || cp %D/etc/xrdp/sesman.ini.sample %D/etc/xrdp/sesman.ini
-@unexec if cmp -s %D/etc/xrdp/xrdp.ini %D/etc/xrdp/xrdp.ini.sample; then rm -f %D/etc/xrdp/xrdp.ini; fi
+etc/xrdp/startwm.sh
+etc/xrdp/startwm.sh.sample
+etc/xrdp/xrdp.ini
 etc/xrdp/xrdp.ini.sample
-@exec [ -f %D/etc/xrdp/xrdp.ini ] || cp %D/etc/xrdp/xrdp.ini.sample %D/etc/xrdp/xrdp.ini
+etc/xrdp/xrdp.sh
 lib/xrdp/libcommon.a
 lib/xrdp/libcommon.la
 lib/xrdp/libcommon.so
@@ -48,11 +51,13 @@
 sbin/xrdp-chansrv
 sbin/xrdp-sesman
 sbin/xrdp-sessvc
+share/xrdp/ad24b.bmp
 share/xrdp/ad256.bmp
 share/xrdp/cursor0.cur
 share/xrdp/cursor1.cur
 share/xrdp/sans-10.fv1
+share/xrdp/xrdp24b.bmp
 share/xrdp/xrdp256.bmp
 @dirrm share/xrdp
 @dirrm lib/xrdp
-@dirrmtry etc/xrdp
+@dirrm etc/xrdp


Patch attached with submission follows:
Comment 1 Stefan Walter freebsd_committer 2010-11-10 16:24:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 dfilter service freebsd_committer 2010-11-10 16:29:42 UTC
stefan      2010-11-10 16:29:36 UTC

  FreeBSD ports repository

  Modified files:
    net/xrdp             Makefile distinfo pkg-plist 
    net/xrdp/files       pkg-message.in 
  Log:
  Update to 0.6.0.20101009cvs.
  
  PR:             151323
  Submitted by:   Koichiro IWAO <meta@club.kyutech.ac.jp>
  
  Revision  Changes    Path
  1.9       +9 -3      ports/net/xrdp/Makefile
  1.5       +2 -3      ports/net/xrdp/distinfo
  1.4       +1 -0      ports/net/xrdp/files/pkg-message.in
  1.4       +16 -11    ports/net/xrdp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stefan Walter freebsd_committer 2010-11-10 16:29:57 UTC
State Changed
From-To: open->closed

Committed (with dependencies on required xorg libraries added), thanks!